/**
 * Convert option.
 *
 * So far only the format type
 *
 * @stability stable
 */
export interface ConvertOptions {
    /**
     * @stability stable
     */
    readonly formatType: FormatType;
}
/**
 * Format type to convert the ALPS spec into.
 *
 * @stability stable
 */
export declare enum FormatType {
    /**
     * @stability stable
     */
    S = 0,
    /**
     * @stability stable
     */
    SDL = 1,
    /**
     * @stability stable
     */
    A = 2,
    /**
     * @stability stable
     */
    ASYNC = 3,
    /**
     * @stability stable
     */
    ASYNCAPI = 4,
    /**
     * @stability stable
     */
    O = 5,
    /**
     * @stability stable
     */
    OAS = 6,
    /**
     * @stability stable
     */
    OPEN = 7,
    /**
     * @stability stable
     */
    OPENAPI = 8,
    /**
     * @stability stable
     */
    P = 9,
    /**
     * @stability stable
     */
    PROTO = 10,
    /**
     * @stability stable
     */
    J = 11,
    /**
     * @stability stable
     */
    JSON = 12,
    /**
     * @stability stable
     */
    W = 13,
    /**
     * @stability stable
     */
    WSDL = 14,
    /**
     * @stability stable
     */
    SOAP = 15
}
/**
 * @stability stable
 */
export declare class Alps {
    /**
     * Converts an ALPS spec JSON object into a specified API like openApi or graph ql schema.
     *
     * @param alpsDocument The ALPS spec in json.
     * @param options Options for the convertion.
     * @returns the requested api
     * @stability stable
     */
    static unified(alpsDocument: string, options?: ConvertOptions): any;
}
